zenilib: zenilib/jni/external/sdl/src/video/SDL_sysvideo.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions
SDL_sysvideo.h File Reference
`#include "SDL_config.h"`
`#include "SDL_messagebox.h"`
`#include "SDL_shape.h"`
`#include "SDL_thread.h"`

Go to the source code of this file.

## Classes

struct | SDL_ShapeDriver
struct | SDL_VideoDevice
struct | SDL_VideoDisplay
struct | SDL_Window
struct | SDL_WindowShaper
struct | SDL_WindowUserData
struct | VideoBootStrap

## Macros

#define | _THIS SDL_VideoDevice *_this
#define | FULLSCREEN_VISIBLE(W)

## Typedefs

typedef struct SDL_ShapeDriver | SDL_ShapeDriver
typedef struct SDL_VideoDevice | SDL_VideoDevice
typedef struct SDL_VideoDisplay | SDL_VideoDisplay
typedef struct SDL_WindowShaper | SDL_WindowShaper
typedef struct SDL_WindowUserData | SDL_WindowUserData
typedef struct VideoBootStrap | VideoBootStrap

## Functions

int | SDL_AddBasicVideoDisplay (const SDL_DisplayMode *desktop_mode)
SDL_bool | SDL_AddDisplayMode (SDL_VideoDisplay *display, const SDL_DisplayMode *mode)
int | SDL_AddVideoDisplay (const SDL_VideoDisplay *display)
void * | SDL_GetDisplayDriverData (int displayIndex)
SDL_VideoDisplay * | SDL_GetDisplayForWindow (SDL_Window *window)
SDL_Window * | SDL_GetFocusWindow (void)
SDL_VideoDevice * | SDL_GetVideoDevice (void)
void | SDL_OnWindowEnter (SDL_Window *window)
void | SDL_OnWindowFocusGained (SDL_Window *window)
void | SDL_OnWindowFocusLost (SDL_Window *window)
void | SDL_OnWindowHidden (SDL_Window *window)
void | SDL_OnWindowLeave (SDL_Window *window)
void | SDL_OnWindowMinimized (SDL_Window *window)
void | SDL_OnWindowResized (SDL_Window *window)
void | SDL_OnWindowRestored (SDL_Window *window)
void | SDL_OnWindowShown (SDL_Window *window)
int | SDL_RecreateWindow (SDL_Window *window, Uint32 flags)
SDL_bool | SDL_ShouldAllowTopmost (void)
void | SDL_UpdateWindowGrab (SDL_Window *window)

## Macro Definition Documentation

#define _THIS SDL_VideoDevice *_this

Definition at line 133 of file SDL_sysvideo.h.

#define FULLSCREEN_VISIBLE | ( |  | W | ) |

Value:
(((W)->flags & SDL_WINDOW_FULLSCREEN) && \
((W)->flags & SDL_WINDOW_SHOWN) && \
!((W)->flags & SDL_WINDOW_MINIMIZED))
SDL_WINDOW_SHOWN
Definition: SDL_video.h:100
SDL_WINDOW_MINIMIZED
Definition: SDL_video.h:104
flags
GLenum GLsizei GLsizei GLsizei GLsizei GLbitfield flags
Definition: glew.h:2767
SDL_WINDOW_FULLSCREEN
Definition: SDL_video.h:98

Definition at line 104 of file SDL_sysvideo.h.

Referenced by SDL_CreateWindow(), SDL_OnWindowRestored(), SDL_SetWindowFullscreen(), and SDL_UpdateFullscreenMode().

## Typedef Documentation

typedef struct SDL_ShapeDriver SDL_ShapeDriver

Definition at line 33 of file SDL_sysvideo.h.

typedef struct SDL_VideoDevice SDL_VideoDevice

Definition at line 35 of file SDL_sysvideo.h.

typedef struct SDL_VideoDisplay SDL_VideoDisplay

Definition at line 34 of file SDL_sysvideo.h.

typedef struct SDL_WindowShaper SDL_WindowShaper

Definition at line 32 of file SDL_sysvideo.h.

typedef struct SDL_WindowUserData SDL_WindowUserData

typedef struct VideoBootStrap VideoBootStrap

## Function Documentation

int SDL_AddBasicVideoDisplay | ( | const SDL_DisplayMode * | desktop_mode | ) |

Definition at line 554 of file SDL_video.c.

References SDL_VideoDisplay::current_mode, SDL_VideoDisplay::desktop_mode, display, SDL_AddVideoDisplay(), and SDL_zero.

SDL_bool SDL_AddDisplayMode | ( | SDL_VideoDisplay * | display,
|  | const SDL_DisplayMode * | mode
| ) |  |

Definition at line 666 of file SDL_video.c.

References cmpmodes(), SDL_VideoDisplay::display_modes, i, SDL_VideoDisplay::max_display_modes, SDL_VideoDisplay::num_display_modes, SDL_FALSE, SDL_qsort(), SDL_realloc(), and SDL_TRUE.

int SDL_AddVideoDisplay | ( | const SDL_VideoDisplay * | display | ) |

Definition at line 568 of file SDL_video.c.

References _this, SDL_VideoDisplay::device, display, SDL_VideoDevice::displays, SDL_VideoDisplay::name, SDL_VideoDevice::num_displays, SDL_itoa(), SDL_OutOfMemory, SDL_realloc(), and SDL_strdup().

Referenced by SDL_AddBasicVideoDisplay().

void* SDL_GetDisplayDriverData | ( | int | displayIndex | ) |

Definition at line 622 of file SDL_video.c.

References CHECK_DISPLAY_INDEX, SDL_VideoDevice::displays, SDL_VideoDisplay::driverdata, and NULL.

SDL_VideoDisplay* SDL_GetDisplayForWindow | ( | SDL_Window * | window | ) |

Definition at line 996 of file SDL_video.c.

References SDL_VideoDevice::displays, NULL, and SDL_GetWindowDisplayIndex().

Referenced by SDL_CreateWindow(), SDL_DestroyWindow(), SDL_GetWindowDisplayMode(), SDL_GetWindowPixelFormat(), SDL_SetWindowPosition(), and SDL_UpdateFullscreenMode().

SDL_Window* SDL_GetFocusWindow | ( | void |  | ) |

Definition at line 2138 of file SDL_video.c.

References SDL_Window::flags, SDL_Window::next, NULL, SDL_WINDOW_INPUT_FOCUS, and SDL_VideoDevice::windows.

Referenced by SDL_PromptAssertion(), SDL_StartTextInput(), and SDL_StopTextInput().

SDL_VideoDevice* SDL_GetVideoDevice | ( | void |  | ) |

Definition at line 548 of file SDL_video.c.

References _this.

Referenced by SDL_CreateShapedWindow(), SDL_GetClipboardText(), SDL_HasClipboardText(), SDL_PumpEvents(), SDL_SetClipboardText(), SDL_SetKeyboardFocus(), and SDL_SetWindowShape().

void SDL_OnWindowEnter | ( | SDL_Window * | window | ) |

Definition at line 2080 of file SDL_video.c.

References SDL_VideoDevice::OnWindowEnter.

Referenced by SDL_SendWindowEvent().

void SDL_OnWindowFocusGained | ( | SDL_Window * | window | ) |

Definition at line 2093 of file SDL_video.c.

References SDL_Window::gamma, SDL_Window::h, SDL_Mouse::relative_mode, SDL_GetMouse(), SDL_SetMouseFocus(), SDL_UpdateWindowGrab(), SDL_WarpMouseInWindow(), SDL_VideoDevice::SetWindowGammaRamp, and SDL_Window::w.

Referenced by SDL_SendWindowEvent().

void SDL_OnWindowFocusLost | ( | SDL_Window * | window | ) |

Definition at line 2123 of file SDL_video.c.

References SDL_Window::flags, SDL_Window::gamma, SDL_Window::saved_gamma, SDL_MinimizeWindow(), SDL_UpdateWindowGrab(), SDL_WINDOW_FULLSCREEN, SDL_VideoDevice::SetWindowGammaRamp, and ShouldMinimizeOnFocusLoss().

Referenced by SDL_SendWindowEvent().

void SDL_OnWindowHidden | ( | SDL_Window * | window | ) |

Definition at line 2051 of file SDL_video.c.

References SDL_FALSE, and SDL_UpdateFullscreenMode().

Referenced by SDL_SendWindowEvent().

void SDL_OnWindowLeave | ( | SDL_Window * | window | ) |

Definition at line 2088 of file SDL_video.c.

Referenced by SDL_SendWindowEvent().

void SDL_OnWindowMinimized | ( | SDL_Window * | window | ) |

Definition at line 2064 of file SDL_video.c.

References SDL_FALSE, and SDL_UpdateFullscreenMode().

Referenced by SDL_SendWindowEvent().

void SDL_OnWindowResized | ( | SDL_Window * | window | ) |

Definition at line 2057 of file SDL_video.c.

References SDL_Window::h, SDL_FALSE, SDL_SendWindowEvent(), SDL_WINDOWEVENT_SIZE_CHANGED, SDL_Window::surface_valid, and SDL_Window::w.

Referenced by SDL_SendWindowEvent(), SDL_SetWindowSize(), and SDL_UpdateFullscreenMode().

void SDL_OnWindowRestored | ( | SDL_Window * | window | ) |

Definition at line 2070 of file SDL_video.c.

References FULLSCREEN_VISIBLE, SDL_RaiseWindow(), SDL_TRUE, and SDL_UpdateFullscreenMode().

Referenced by SDL_OnWindowShown(), and SDL_SendWindowEvent().

void SDL_OnWindowShown | ( | SDL_Window * | window | ) |

Definition at line 2045 of file SDL_video.c.

References SDL_OnWindowRestored().

Referenced by SDL_SendWindowEvent().

int SDL_RecreateWindow | ( | SDL_Window * | window,
|  | Uint32 | flags
| ) |  |

Definition at line 1317 of file SDL_video.c.

References CREATE_FLAGS, SDL_VideoDevice::CreateWindow, SDL_VideoDevice::DestroyWindow, SDL_VideoDevice::DestroyWindowFramebuffer, SDL_Surface::flags, SDL_Window::flags, SDL_VideoDevice::GL_CreateContext, SDL_Window::icon, NULL, SDL_DONTFREE, SDL_FinishWindowCreation(), SDL_free(), SDL_FreeSurface(), SDL_GL_LoadLibrary(), SDL_GL_UnloadLibrary(), SDL_HideWindow(), SDL_SetError(), SDL_SetWindowIcon(), SDL_SetWindowTitle(), SDL_WINDOW_FOREIGN, SDL_WINDOW_HIDDEN, SDL_WINDOW_OPENGL, SDL_Window::surface, and SDL_Window::title.

SDL_bool SDL_ShouldAllowTopmost | ( | void |  | ) |

Definition at line 3207 of file SDL_video.c.

References SDL_FALSE, SDL_GetHint(), SDL_HINT_ALLOW_TOPMOST, and SDL_TRUE.

void SDL_UpdateWindowGrab | ( | SDL_Window * | window | ) |

Definition at line 2006 of file SDL_video.c.

References SDL_Window::flags, SDL_FALSE, SDL_TRUE, SDL_WINDOW_INPUT_FOCUS, SDL_WINDOW_INPUT_GRABBED, and SDL_VideoDevice::SetWindowGrab.

Referenced by SDL_OnWindowFocusGained(), SDL_OnWindowFocusLost(), and SDL_SetWindowGrab().